Package org.zeromq

# Class ZMQStreamer

java.lang.Object
org.zeromq.ZMQForwarder
org.zeromq.ZMQStreamer

All Implemented Interfaces:
  `Runnable`

public class ZMQStreamer extends ZMQForwarder
ZeroMQ Streamer Device implementation.

## Constructor Summary

Constructors
Constructor
Description
`ZMQStreamer(ZMQ.Context context, ZMQ.Socket inSocket, ZMQ.Socket outSocket)`
Class constructor.

## Method Summary

### Methods inherited from class org.zeromq.ZMQForwarder

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZMQStreamer

public ZMQStreamer(ZMQ.Context context, ZMQ.Socket inSocket, ZMQ.Socket outSocket)
Class constructor.

Parameters:
  `context` - a 0MQ context previously created.
  `inSocket` - input socket
  `outSocket` - output socket